exports

### Hierarchy

- Token

## Index

### Properties

- address
- decimals
- name
- owner
- reserveRatio
- reserves
- supply
- symbol

## Properties

### address

address: string

- Defined in src/app/_models/token.ts:4

Address of the deployed token contract.

### decimals

decimals: string

- Defined in src/app/_models/token.ts:6

Number of decimals to convert to smallest denomination of the token.

### name

name: string

- Defined in src/app/_models/token.ts:8

Name of the token.

### Optional owner

owner: string

- Defined in src/app/_models/token.ts:10

Address of account that deployed token.

### Optional reserveRatio

reserveRatio: string

- Defined in src/app/_models/token.ts:12

Token reserve to token minting ratio.

### Optional reserves

reserves: { 0xa686005CE37Dce7738436256982C3903f2E4ea8E?: { balance: string; weight: string } }

- Defined in src/app/_models/token.ts:14

Token reserve information

#### Type declaration

- ##### Optional 0xa686005CE37Dce7738436256982C3903f2E4ea8E?: { balance: string; weight: string }

  - ##### balance: string

  - ##### weight: string

### supply

supply: string

- Defined in src/app/_models/token.ts:21

Total token supply.

### symbol

symbol: string

- Defined in src/app/_models/token.ts:23

The unique token symbol.

Generated using TypeDoc